package javax.imageio.event;

import javax.imageio.ImageWriter;
import java.util.EventListener;

public interface IIOWriteProgressListener extends EventListener
{
    public abstract void imageStarted(ImageWriter p0, int p1);
    
    public abstract void imageProgress(ImageWriter p0, float p1);
    
    public abstract void imageComplete(ImageWriter p0);
    
    public abstract void thumbnailStarted(ImageWriter p0, int p1, int p2);
    
    public abstract void thumbnailProgress(ImageWriter p0, float p1);
    
    public abstract void thumbnailComplete(ImageWriter p0);
    
    public abstract void writeAborted(ImageWriter p0);
}
